<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$ucount = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."';"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $ucount==0 OR $ban!=0){
  		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo "<title>Чат Альянса</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="" /><b>Альянс <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name']))))))).']</font><br/><font color="#FF0000">Чат</font></b><a href="?o='.$r.'&amp;f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><font color="#DAA520"><b>[Обновить]</b></font></font></a></div>';
echo '<div class="razd"></div>';
		switch ($act) {
	default:
	$r=rand(0,999);
				echo '<center><div class="window"><form action="?act=add&f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'" method="POST">Сообщение:<br/><input type="text" value="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['login']))))))).'" name="text" /><br/><input type="submit" name="submit" value="Написать"/><br><input type="button" class="button" onClick="(\'info.php?act=smiles\')" value=""></form></center></div><div class="razd"></div><div class="blok"><a href="info.php?act=smiles"><b>Другие смайлы</b></a></div></form></div></center><div class="razd"></div>';
		$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_chat` WHERE `fid`='".$f['id']."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `fractions_chat` WHERE `fid`='".$f['id']."' ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="window1">';
					echo '<div class="dashed"></div>';
					$q1 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."'");
					$f1 = mysql_fetch_array($q1);
					echo '['.date('H:i',$row['time']).'] '.rasa($f1['rasa']).' <a href="../p/anketa.php?id='.$f1['id'].'"><span class="'.crasa($f1['rasa']).'">'.$f1['login'].'</span></a>';
					if($f1['lasttime'] > time()-$online_time)echo ' <span class="green">on</span> ';
					echo '  <a href="?f='.$f['id'].'&amp;login='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['login']))))))).', "><font color="#4EEE94">[»]</font></a> <b>'. smiles(antilink(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['text'])))))))) .'</b>';
					echo '<div class="dashed"></div>';
					echo '</div>';  

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;'); 
			}
			else
			{
				div('<b>Сообщений нет!</b>','window');
			}
echo '<div class="razd"></div><div class="blok"><a href="fraction.php?f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</a></div>';
break;
case 'add':
	echo '<div class="c">';
	  	if(!$_POST)
	{

			echo '<form action="" method="POST">';
						echo '
			Текст сообщения:<br />
			<input type="text" value="'.$_GET['login'].'" name="text" /><br />';
			echo '<input type="submit" name="submit" value="Написать"/></form>';
	}
	else
	{
			$text = check(trim($_POST['text']));
		$error = false;
		$lastmess=mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_chat` WHERE `uid` = '$use_id' AND `text`='$text' AND `time`>=$realtime-300;"), 0);
				if (empty($text))
			$error = $error . 'Не введен текст<br/>';
		elseif (mb_strlen($text) > 2000)
			$error = $error . 'Слишком длинное сообщение!<br />';
		elseif (mb_strlen($text) < 2)
			$error = $error . 'Слишком короткое сообщение!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$text))
			$error = $error . 'Недопустимые символы в тексте<br />';
		elseif ($lastmess > 0)
			$error = $error . 'Не повторяйте ваши сообщения<br />';
		
		
	  
	  		if (empty($error))
		{
		
			mysql_query("INSERT INTO `fractions_chat` SET
			            `uid`='" . mysql_real_escape_string($use_id) . "',
						`fid`='" . mysql_real_escape_string($f['id']) . "',
						`time`='" . time() . "',
			            `text`='" . mysql_real_escape_string($text) . "';");
						
header("Location: chat.php?f=".$f['id']."");

		}
		else
		{
			echo '<div class="blok"><b>' . $error. '</b></div>';
		}
	}
echo '<div class="razd"></div><div class="blok"><a href="chat.php?f='.$f['id'].'"><b>Назад</a></div>';

		}
	}
		
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>